# Uses of Interface
org.gitana.platform.client.changeset.Changeset

Packages that use Changeset
Package
Description
org.gitana.platform.client.changeset
org.gitana.platform.client.node
org.gitana.platform.client.repository
org.gitana.platform.client.support

## Uses of Changeset in org.gitana.platform.client.changeset

Classes in org.gitana.platform.client.changeset that implement Changeset
Modifier and Type
Class
Description
`class`
`ChangesetImpl`

## Uses of Changeset in org.gitana.platform.client.node

Methods in org.gitana.platform.client.node that return Changeset
Modifier and Type
Method
Description
`Changeset`
BaseNode.`getChangeset()`
`Changeset`
BaseNodeImpl.`getChangeset()`
`Changeset`
Association.`getSourceChangeset()`
`Changeset`
AssociationImpl.`getSourceChangeset()`
`Changeset`
Association.`getTargetChangeset()`
`Changeset`
AssociationImpl.`getTargetChangeset()`

## Uses of Changeset in org.gitana.platform.client.repository

Methods in org.gitana.platform.client.repository that return Changeset
Modifier and Type
Method
Description
`Changeset`
Repository.`readChangeset(String changesetId)`
Reads a single changeset.
`Changeset`
RepositoryImpl.`readChangeset(String changesetId)`
Methods in org.gitana.platform.client.repository that return types with arguments of type Changeset
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Changeset>`
Repository.`listChangesets()`
Retrieves changesets for the repository
`org.gitana.platform.support.ResultMap<Changeset>`
Repository.`listChangesets(org.gitana.platform.support.Pagination pagination)`
Retrieves changesets for the repository
`org.gitana.platform.support.ResultMap<Changeset>`
RepositoryImpl.`listChangesets()`
`org.gitana.platform.support.ResultMap<Changeset>`
RepositoryImpl.`listChangesets(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Changeset>`
Repository.`queryChangesets(com.fasterxml.jackson.databind.node.ObjectNode query)`
Performs a query over the changeset index.
`org.gitana.platform.support.ResultMap<Changeset>`
Repository.`queryChangesets(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Performs a query over the changeset index.
`org.gitana.platform.support.ResultMap<Changeset>`
RepositoryImpl.`queryChangesets(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Changeset>`
RepositoryImpl.`queryChangesets(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Changeset in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Changeset
Modifier and Type
Method
Description
`Changeset`
ObjectFactory.`changeset(Repository repository, Response response)`
`Changeset`
ObjectFactoryImpl.`changeset(Repository repository, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Changeset
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Changeset>`
ObjectFactory.`changesets(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Changeset>`
ObjectFactoryImpl.`changesets(Repository repository, Response response)`